System requirements for playing a CD published from Presenter

I'm looking for the System Requirements to put on the back of the CDs for our customers.  The Articulate help files only state a version of Flash Player for viewing the files.

What if our customers are using the Launch_Presentation.exe player?  Is the flash player embedded with the .exe file? 

What are the overall System Requirements for playing a CD?

Thanks,

Andrew

5 Replies
Justin Wilcox

Hi Andrew. Here is the full system requirements. If you are using the Launch_presentation.exe file, Presenter uses Internet Explorer and the version of Flash Player that it uses. You can't launch a presentation via the EXE file on a Mac.

Viewing Content

Flash Player 6.0.79 or later (http://www.adobe.com/go/getflash) (Flash Player 7 or later recommended), and one of the following browsers:

  • Windows: Internet Explorer 6 and later, Firefox 1.x and later, Safari 3 and later, Google Chrome, Opera 9.5 and later
  • Macintosh: Safari 3 and later, Firefox 1.x and later, Google Chrome
  • Linux: Firefox 1.x and later
Andrew Weaver

Thank you, Justin.  I was not aware that the .exe file used Internet Explorer since the player itself does not look like a browser.  Now I'm concerned that we will still have Flash Player issues again in the future as the CD publishing files, browser requirements, and flash player versions start to distance themselves just like what happened with the Articulate 5 versions.  We cannot go back and change all of those CDs that went out the door to upgrade the required Flash Player.

Essentially, the older Articulate publishing required the customers to load an older version of a flash player onto their local PC just to play the CD.  In my opinion, having to modify a PC to use our product is less than desirable.  We thought that the new publishing to CD files (specifically the .exe file) with Articulate '09 would fix this issue.

Do you know where there is documentation showing that the Launch_Presentation.exe file uses the local PC's existing browser and flash player?  I would like to show that information to my company for discussion.

Thank you for your help and quick response.

Andrew

Justin Wilcox

Hi Andrew.

Articulate Presenter output has never installed Flash Player on a computer and there is no requirement that you have an old version of Flash Player installed. You need to have Flash Player 6.0.79 or later installed which is probably 99.9999999% of all computers that have Flash Player installed.

The issue with Presenter 5 only pertained to Flash Player 10 and is not an issue any longer and won't be moving forward.

We don't have specific documentation about the requirements for viewing on a CD as the requirements are not different from viewing it via the web. Internet Explorer is a default install on all PCs and most PCs already have Flash Player installed for IE so that shouldn't be an issue.

Andrew Weaver

Justin, thank you for the clarification.  I see that there are more browsers than just Internet Explorer listed in the Viewing Content requirements.  Does this mean if Internet Explorer is no longer present on the user's PC then Articulate can use the other browsers?

Also, if someone is using a MAC, will they have to use the Player.html file?